#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <locale.h>

int main(int argc, char* argv[])
{
	HANDLE findHandle;
	WIN32_FIND_DATA findData;
	int delay = 5*60*1000;

	char** phrases = NULL;
	int i = 0;

	setlocale( 0, "" );

	/* пусть второй параметр отвечает за режим работы программы, который пока будет один
	r - включить рандомную задержку от 0 до delay
	вообще можно будет потом добавить текстовый файл с конфигами, если взлетит :3
	*/
	if (argc >= 2)
	{
		delay = atoi(argv[1]) * 1000;
	}

	findHandle = FindFirstFile("*.wav", &findData); //начинаю перебирать звуковые файлы
	do
	{
		if (!(findData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)) //если это файл, обрабатываю
		{
			phrases = (char**)realloc(phrases, sizeof(char*)*(i+1));
			phrases[i] = (char*)calloc(strlen(findData.cFileName), sizeof(char));

			strcpy(phrases[i], findData.cFileName);

			i++;
		}
	}
	while (FindNextFile(findHandle, &findData) != 0);

	PlaySound((LPCTSTR)SND_ALIAS_SYSTEMDEFAULT, NULL, SND_ALIAS_ID | SND_ASYNC); //проверяю работу звука

	printf("\nЕсли только что был слышен системный звук, значит все работает.");
	printf("\nРеплики будут звучать каждые %d секунд.", delay/1000); if (argc < 2) printf(" Задать интервал (в секундах) можно параметром командной строки.");
	printf("\nВсего реплик %d.", i);
	printf("\nОтрегулировать громкость голоса можно в \"Микшере громкости\" (динамик в трее).");
	printf("\nЗавершение программы - по Ctrl+C.");
	printf("\n\nHave a nice dream!");

	/*
	>42
	но зачем ?
	*/
	srand(42);

	while (1)
	{
		int num = rand() % (i-1);
		if(argv[2] == "r") 
		{
			Sleep(rand() % delay);
		}
		else
		{
			Sleep(delay);
		}

		PlaySound(phrases[num], NULL, SND_FILENAME);
	}

	return 0;
}

/*
Дискач :3
*/